Bug 539863 - Review Request: perl-Pod-PseudoPod - Extending the POD tags for book manuscripts
Review Request: perl-Pod-PseudoPod - Extending the POD tags for book manuscripts
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Lubomir Rintel
Fedora Extras Quality Assurance
http://search.cpan.org/dist/Pod-Pseud...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-11-21 06:43 EST by Gerd Pokorra
Modified: 2010-02-08 01:55 EST (History)
4 users (show)

See Also:
Fixed In Version: 0.15-1.fc12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-24 15:39:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
lkundrak: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Gerd Pokorra 2009-11-21 06:43:36 EST
Spec URL: 
ftp://ftp.uni-siegen.de/pub/parrot.rpms/PseudoPod/perl-Pod-PseudoPod.spec

SRPM URL: 
http://koji.fedoraproject.org/koji/getfile?taskID=1821155&name=perl-Pod-PseudoPod-0.15-1.fc12.src.rpm

Description:
PseudoPOD is an extended set of POD tags for book manuscripts.
Standard POD doesn't have all the markup options you might want for
marking up files for publishing production. PseudoPOD adds a few extra
tags for footnotes and tables, and has extended uses of "=begin"
elements. See Pod::PseudoPod::Tutorial.
Comment 1 Gerd Pokorra 2009-11-25 10:49:03 EST
The URL of the latest scratch build is:

http://koji.fedoraproject.org/koji/taskinfo?taskID=1830099
Comment 2 Gerd Pokorra 2009-11-25 13:34:14 EST
The "BuildArch is set to "noarch".

The file under the Spec-URL is updated.
ftp://ftp.uni-siegen.de/pub/parrot.rpms/PseudoPod/perl-Pod-PseudoPod.spec

You can find latest SRPM at the URL:
ftp://ftp.uni-siegen.de/pub/parrot.rpms/PseudoPod/perl-Pod-PseudoPod-0.15-1.fc11.src.rpm

The latest scratch build is:
http://koji.fedoraproject.org/koji/taskinfo?taskID=1830833

The rpmlint output reports: 0 errors, 0 warnings
Comment 3 Gerd Pokorra 2009-11-30 08:43:35 EST
Changed the basis to an autogenerated specfile.
ExtUtils::MakeMaker is replaced with Module::Build.

The file under the URLs are updated:
ftp://ftp.uni-siegen.de/pub/parrot.rpms/PseudoPod/perl-Pod-PseudoPod.spec
ftp://ftp.uni-siegen.de/pub/parrot.rpms/PseudoPod/perl-Pod-PseudoPod-0.15-1.fc11.src.rpm

The latest scratch build is:
http://koji.fedoraproject.org/koji/taskinfo?taskID=1838062

The rpmlint output reports: 0 errors, 0 warnings
Comment 4 Lubomir Rintel 2009-12-19 10:37:05 EST
* Named and versioned in accordance with guidelines
* License tag correct, license ok
* SPEC file clean and legible
* Builds fine in mock
* RPMlint silent and happy
* Dependencies sane
* Source archive matches upstream

Nothing that would block the issues,
the package is

APPROVED

A few small suggestions:

1.) You do not need to explicitly require perl(HTML::Entities)

It's automatically in by autoreq (you probably still need the rest, as you seem to need specific versions).

2.) You have redundant entries in %files, even RPM complains:

warning: File listed twice: /usr/share/perl5/Pod/PseudoPod/Checker.pm
warning: File listed twice: /usr/share/perl5/Pod/PseudoPod/DocBook.pm

There are two solutions to the problem. One is prepending the "%{perl_vendorlib}/Pod/PseudoPod" line with "%doc" so that RPM doesn't automatically add its descendants recursively. Alternatively, you can leave the line as is and remove all its descendants below.
Comment 5 Gerd Pokorra 2009-12-21 11:07:42 EST
Few little changes are made, which reflect the suggestions.
The URLs and version number remain the same.
Comment 6 Gerd Pokorra 2009-12-21 11:14:05 EST
New Package CVS Request
=======================
Package Name: perl-Pod-PseudoPod
Short Description: Framework for extending the POD tags for book manuscripts
Owners: gerd
Branches: F-11 F-12
InitialCC: gerd
Comment 7 Kevin Fenzi 2009-12-21 14:46:19 EST
cvs done.
Comment 8 Fedora Update System 2009-12-22 04:18:50 EST
perl-Pod-PseudoPod-0.15-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/perl-Pod-PseudoPod-0.15-1.fc12
Comment 9 Fedora Update System 2009-12-22 04:31:56 EST
perl-Pod-PseudoPod-0.15-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/perl-Pod-PseudoPod-0.15-1.fc11
Comment 10 Fedora Update System 2009-12-24 15:39:14 EST
perl-Pod-PseudoPod-0.15-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2009-12-24 15:45:11 EST
perl-Pod-PseudoPod-0.15-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Gerd Pokorra 2010-02-01 06:52:30 EST
New Package CVS Request
=======================
Package Name: perl-Pod-PseudoPod
Owners: gerd
Branches: EL-5
Comment 13 Christoph Wickert 2010-02-04 15:18:55 EST
This is the correct form:

Package Change Request
======================
Package Name: perl-Pod-PseudoPod
New Branches: EL-5
Owners: gerd
Comment 14 Gerd Pokorra 2010-02-06 04:11:51 EST
Package Change Request
======================
Package Name: perl-Pod-PseudoPod
New Branches: EL-5
Owners: gerd

This package also builds on the EL-5 brunch. You can see it at this scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=1955811
Comment 15 Kevin Fenzi 2010-02-07 16:22:10 EST
Yes, thats the correct form. ;) 

Thanks. 

cvs done.
Comment 16 Lubomir Rintel 2010-02-08 01:55:16 EST
"EL-5 brunch". Love that :)
Sorry, I couldn't help myself

Note You need to log in before you can comment on or make changes to this bug.